Subject: Re: bug#7781: 23.2.91; ispell problem with hunspell and UTF-8 file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Aug 2020 15:36:01 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 28 Aug 2020 05:00:11 -0700
> Cc: [email-masked]
> 
> Reuben Thomas <[email-masked]> writes:
> 
> > With the following text, and using emacs -Q, I get the errors you can
> > see in the messages log below when using hunspell to spell-check a UTF-8
> > buffer with some extended characters in it.
> >
> > I did test this with emacs -Q, but the current session, in which I
> > reproduced the problem and am now composing this bug report, was not
> > started with -Q (this is so submitting the bug report works properly!).
> >
> > I am running a freshly bzr-pulled build of the emacs-23 branch.
> >
> > Text follows
> 
> I tried this but couldn't reproduce the bug using current master and
> Hunspell 1.7.0.  Having read the bug report, IIUC, this was a bug in
> Hunspell and not in Emacs?
> 
> Are you still able to reproduce this using a recent Emacs and Hunspell?

Some (old) versions of Hunspell had a bug, whereby the mis-spelled
words were reported with offsets in bytes, not in characters.  When
this happens, ispell.el reports "misalignment" errors.

I don't remember when (or even if) Hunspell fixed that problem (in the
version I use I fixed it myself), but if 1.7.0 has that problem fixed,
you will not see the problem.